DS_PUT_ELEMENT_MANY_TIMES(3)

FUNCTION
ds_put_element_many_times - Write a double precision complex value to atomic data many times.

SYNOPSIS
#include <karma_ds.h>

flag ds_put_element_many_times

(char *data, unsigned int data_type, unsigned int data_stride, double value[2], unsigned int num_elem)

DESCRIPTION
This routine will convert and write a double precision complex value to an array of atomic data elements.

data
    The array of output data.

data_type
    The type of the data.

data_stride
    The stride of data elements in memory (in bytes).

value
    The data value will be read from here.

num_elem
    The number of data elements to write.

RETURN VALUE
TRUE if the data was successfully converted, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/